Skip Menu |
 

This queue is for tickets about the IO-Socket-SSL CPAN distribution.

Report information
The Basics
Id: 128696
Status: resolved
Priority: 0/
Queue: IO-Socket-SSL

People
Owner: Nobody in particular
Requestors: mg8 [...] sanger.ac.uk
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: package build fails since dependency on Net::SSLeay is not declared in Makefile.PL
Date: Mon, 4 Mar 2019 11:36:15 +0000
To: bug-IO-Socket-SSL [...] rt.cpan.org
From: Marina Gourtovaia <mg8 [...] sanger.ac.uk>
Hello If the Perl interpreter does not have Net::SSLeay installed, package build fails with a message "Undefined subroutine &Net::SSLeay::OPENSSL_VERSION_NUMBER called at Makefile.PL line 67." For example Travis CI build https://travis-ci.org/wtsi-npg/npg_seq_pipeline/builds/501423668?utm_source=github_status started to fail since last week, the problem was reproduced on our internal systems where Perl does not have Net::SSLeay installed. The package builds OK under Perl 5.26 that comes with Ubuntu 18.04.2 since this Perl distribution contains Net::SSLeay xx@yyy:~$ perl -le 'print join q[ ], grep {-e $_ } map {join q[.], $_, "pm"} map {join q[/], $_, qw/Net SSLeay/} @INC' /usr/lib/x86_64-linux-gnu/perl5/5.26/Net/SSLeay.pm Regards Marina Gourtovaia -- The Wellcome Sanger Institute is operated by Genome Research Limited, a charity registered in England with number 1021457 and a company registered in England with number 2742969, whose registered office is 215 Euston Road, London, NW1 2BE.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.